Cover

Synway Software Tool

ShTA.exe

Tone Analyzer User Manual

Synway Information Engineering Co., Ltd

www.synway.net


Contents

Contents· i

Copyright Declaration· ii

Chapter 1 Overview·· 1

1.1 Test Scenarios A: Single Channel Mode· 1

1.2 Test Scenarios B: Direct Mode· 1

1.3 Test Scenarios C: Extension Mode· 2

1.4 Test Scenarios D: Pure Extension Mode· 2

Chapter 2 Tone Analysis Procedure· 3

2.1 Single Channel Mode· 3

2.2 Direct Mode· 5

2.3 Extension Mode· 7

2.4 Pure Extension Mode· 9

Appendix A Technical/sales Support 11


Copyright Declaration

All rights reserved; no part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, without prior written permission from Synway Information Engineering Co., Ltd (hereinafter referred to as ‘Synway’).

Synway reserves all rights to modify this document without prior notice. Please contact Synway for the latest version of this document before placing an order.

Synway has made every effort to ensure the accuracy of this document but does not guarantee the absence of errors. Moreover, Synway assumes no responsibility in obtaining permission and authorization of any third party patent, copyright or product involved in relation to the use of this document.


Chapter 1 Overview

The bug sometimes found in the use of Synway analog boards of failing to make a call over analog trunk or detect the hangup behavior at the remote end probably results from the inconsistency between the call progress tone parameters set for the board and those for certain small-sized PBXes or key telephone systems. The tone frequency and cycle of some small PBX do not comply with the standard of the COT (Central Office Terminal) PBX while the default tone settings of Synway boards follow the standard. Therefore, it may happen that a Synway analog board can’t properly detect the dial tone, the ringback tone, the busy tone and etc. from a small PBX.

ShTA.exe is a software tool to enable the detection and analysis on parameters of the call progress tones that go through analog trunks.


1.1 Test Scenarios A: Single Channel Mode

Figure 1‑1 Single Channel Mode


1.2 Test Scenarios B: Direct Mode

Figure 1‑2 Direct Mode


1.3 Test Scenarios C: Extension Mode

Figure 1‑3 Extension Mode


1.4 Test Scenarios D: Pure Extension Mode

Figure 1‑4 Pure Extension Mode


Chapter 2 Tone Analysis Procedure

Single Channel Mode means the application system is connected to the enterprise PBX or the COT PBX via only one analog trunk.

Direct Mode means the application system is directly connected with the analog trunk from the COT PBX.

Extension Mode means the application is connected with the analog trunk from the COT PBX via the enterprise PBX.

During the tone analysis, four voice files Dial.wav, Echo.wav, Busy.wav and Hangup.wav will be created under the same directory. And just on the basis of these files can the software tool ShTA.exe work for tone analysis.


2.1 Single Channel Mode

Note: Skip this section if you use Advanced Mode (Direct Mode, Extension Mode or Pure Extension Mode).

In Single Channel Mode, ShTA.exe will analyze the tone parameters of the PBX which is connected with the board and set the configuration items as TonePara, BusyTonePeriod, RingEchoTonePara, ToneDetectorItem[x] and the like.

Follow the operation procedure below to use ShTA.exe.

Step 1:

Connect the lines according to Figure 1‑1 and run ShTA.exe. Then the main interface as shown in Figure 2‑1 appears. Fill in ‘ChA number’ and the phone number to be called.

Figure 2‑1 Main Interface upon Run of ShTA.exe

Step 2:

Click on ‘Start’ and the program starts to analyze tones as shown in Figure 2‑2 below.

Figure 2‑2 Start to Analyze Tones

Step 3:

If it is successful in tone analysis, the dialog ‘Tone Analysis Result’ will pop up as shown in Figure 2‑3 below. Click the ‘Write’ button and the tone configuration will be written into the configuration file.

Figure 2‑3 Tone Analysis Result


2.2 Direct Mode

Note: Skip this section if you use Extension Mode.

In Direct Mode, ShTA.exe will analyze the tone parameters of the PBX which is connected with the board and set such configuration items as TonePara, BusyTonePeriod, RingEchoTonePara, ToneDetectorItem[x] and the like.

Follow the operation procedure below to use ShTA.exe.

Step 1:

Connect lines according to Figure 1‑2 and run ShTA.exe. Then the main interface as shown in Figure 2‑4 appears. Fill in ‘ChA number’, ‘ChB number’ and their corresponding phone numbers. Select Direct Mode (Direct line to station exchange) for ‘Flow type’.

Figure 2‑4 Main Interface upon Run of ShTA.exe

Step 2:

Click on ‘Start’ and the program starts to analyze tones as shown in Figure 2‑5 below.

Figure 2‑5 Start to Analyze Tones

Step 3:

If it is successful in tone analysis, the dialog ‘Tone Analysis Result’ will pop up as shown in Figure 2‑6 below. Click the ‘Write’ button and the tone configuration will be written into the configuration file.

Figure 2‑6 Tone Analysis Result


2.3 Extension Mode

Note: Read this section if you use Direct Mode and Extension Mode at the same time.

In Extension Mode, ShTA.exe will analyze the tone parameters of both the COT PBX and the enterprise PBX, and set such configuration items as TonePara, BusyTonePeriod, RingEchoTonePara, 2ndTonePara, 2ndBusyTonePeriod, 2ndRingEchoTonePara, ToneDetectorItem[x] and the like.

Follow the operation procedure below to use ShTA.exe.

Step 1:

Connect lines according to Figure 1‑3 and run ShTA.exe. Then the main interface as shown in Figure 2‑7 appears. Fill in ‘Short number’, ‘ChA number’ (connected to the enterprise PBX), ‘ChB number’ (connected to the enterprise PBX), ‘ChC number’ (connected to the COT PBX) and their corresponding phone numbers. Select Extension Mode (Extension to exchange) for ‘Flow type’.

Figure 2‑7 Main Interface upon Run of ShTA.exe

Step 2:

Click on ‘Start’ and the program starts to analyze tones as shown in Figure 2‑8 below.

Figure 2‑8 Start to Analyze Tones

Step 3:

If it is successful in tone analysis, the dialog ‘Tone Analysis Result’ will pop up as shown in Figure 2‑9 below. Click the ‘Write’ button and the tone configuration will be written into the configuration file.

Figure 2‑9 Tone Analysis Result


2.4 Pure Extension Mode

Note: Skip this section if you only use Direct Mode.

In Pure Extension Mode, ShTA.exe will analyze the tone parameters for the PBX which is connected with the board and set such configuration items as TonePara, BusyTonePeriod, RingEchoTonePara, ToneDetectorItem[x] and the like.

Follow the operation procedure below to use ShTA.exe.

Step 1:

Connect lines according to Figure 1‑4 and run ShTA.exe. Then the main interface as shown in Figure 2‑10 appears. Fill in ‘ChA number’, ‘ChB number’ and their corresponding phone numbers. Select Pure Extension Mode (Only local exchange) for ‘Flow type’.

Figure 2‑10 Main Interface upon Run of ShTA.exe

Step 2:

Click on ‘Start’ and the program starts to analyze tones as shown in Figure 2‑11 below.

Figure 2‑11 Start to Analyze Tones

Step 3:

If it is successful in tone analysis, the dialog ‘Tone Analysis Result’ will pop up as shown in Figure 2‑12 below. Click the ‘Write’ button and the tone configuration will be written into the configuration file.

Figure 2‑12 Analysis Result


Appendix A Technical/sales Support

Thank you for choosing Synway. Please contact us should you have any inquiry regarding our products. We shall do our best to help you.

Headquarters

Synway Information Engineering Co., Ltd

http://www.synway.net/

9F, Synway D&R Center, No.3756, Nanhuan Road, Binjiang District, Hangzhou, P.R.China, 310053

Tel: +86-571-88860561

Fax: +86-571-88850923

Technical Support

Tel: +86-571-88864579

Mobile: +86-18905817070

Email: techsupport@sanhuid.com

Email: techsupport@synway.net

MSN: synway.support@hotmail.com

Sales Department

Tel: +86-571-88860561

Tel: +86-571-88864579

Fax: +86-571-88850923

Email: sales@synway.net